#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h> 
#include <string.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>
#include <stdlib.h>

int main(int nargs, char **args) {
  struct sockaddr_un addr;
  int ret,sock;
  char sockname[80];
  if(nargs!=2) {fprintf(stderr,"syntaxe %s commande\n",args[0]);exit(1);}
  sock=socket(AF_UNIX,SOCK_STREAM,0);
  if(sock<0) {perror("socket");return 1;}
  addr.sun_family=AF_UNIX;
  sprintf (sockname, "%.60s/.xawdecode/socket", getenv ("HOME"));
  strcpy(addr.sun_path,sockname);
  ret=connect(sock,(struct  sockaddr*)&addr,sizeof(addr));
  if(ret<0) {perror("connect");return 1;}
  ret=write(sock,args[1],strlen(args[1]));
  if(ret!=strlen(args[1])) {perror("write");return 1;}
  close(sock);
  return 0;
}
